import { Slot } from './Slot';
import { CfnBot } from 'aws-cdk-lib/aws-lex';
export interface IntentProps {
    readonly name: string;
    readonly utterances: string[];
    readonly slots?: Slot[];
    readonly confirmationPrompt?: string;
    readonly fulfillmentPrompt?: string;
}
export declare class Intent {
    name: string;
    utterances: string[];
    /**
     * Slots in priority order
     */
    slots?: Slot[];
    /**
     * If provided, lex will confirm the intent
     */
    confirmationPrompt?: string;
    /**
     * If provided, lex will speak this when the intent is fullfilled
     */
    fulfillmentPrompt?: string;
    constructor(props: IntentProps);
    toCdk(dialogCodeHook: boolean, fulfillmentCodeHook: boolean): CfnBot.IntentProperty;
    private getPostFulfillmentPrompt;
    private getIntentConfirmationSetting;
}
