import { CfnBot } from 'aws-cdk-lib/aws-lex';
export interface SlotProps {
    readonly name: string;
    readonly slotTypeName: string;
    readonly description?: string;
    readonly elicitationMessages: string[];
    readonly allowInterrupt?: boolean;
    readonly maxRetries?: number;
    readonly required?: boolean;
}
export declare class Slot {
    name: string;
    /**
     * @todo is there a way to restrict to possible values?
     */
    slotTypeName: string;
    description?: string;
    elicitationMessages: string[];
    /**
     * @default true
     */
    allowInterrupt?: boolean;
    /**
     * @default 3
     */
    maxRetries?: number;
    required?: boolean;
    constructor(props: SlotProps);
    toCdk(): CfnBot.SlotProperty;
}
